Summary:	Wrapper for managing inet service using any kind of inet daemon
Summary(pl.UTF-8):	Skrypty do zarządzania usługami inet
Name:		rc-inetd
Version:	0.17
Release:	3%{?tld}
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	7218ebe82d2755a8d5051bd9b3a1a221
Patch0:		egrep.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	inetdaemon
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wrapper for managing inet service using any kind inet daemon.

%description -l pl.UTF-8
Skrypty do zarządzania usługami inet przy użyciu dowolnego rodzaju
demona inet.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig/rc-inetd}
install rc-inetd $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -a rc-inetd.conf $RPM_BUILD_ROOT/etc/sysconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rc-inetd
%service rc-inetd restart

%preun
if [ "$1" = "0" ]; then
	%service rc-inetd stop
	/sbin/chkconfig --del rc-inetd
fi

%files
%defattr(644,root,root,755)
%doc template_inetd template_service
%attr(754,root,root) /etc/rc.d/init.d/rc-inetd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd.conf
%dir /etc/sysconfig/rc-inetd
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/rc-inetd.git;a=log;h=master

* Sat Mar 23 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> fb04cc9
- Rel 2; don't use egrep

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 5c4c32b
- rel 2

* Thu Nov 01 2007 Elan Ruusamäe <glen@pld-linux.org> 20fb4db
- applied in 0.17

* Thu Nov 01 2007 Elan Ruusamäe <glen@pld-linux.org> 471e9fd
- update to 0.17

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 38f829b
- rel 6

* Sat Mar 31 2007 darekr <darekr@pld-linux.org> 539a354
- missing BR for %service

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 96b3273
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> edc4ec7
- converted to UTF-8

* Mon Apr 10 2006 hawk <hawk@pld-linux.org> ccacfcd
- allow administrator disable generating of inetd config
- release 5

* Mon Apr 10 2006 hawk <hawk@pld-linux.org> d32002a
- patch to allow administrator disable generating of inetd config

* Mon Mar 13 2006 Elan Ruusamäe <glen@pld-linux.org> b7cd553
- use %service

* Wed Jun 08 2005 Mariusz Mazur <mmazur@pld-linux.org> 012591e
- polish the english

* Sun Nov 28 2004 saq <saq@pld-linux.org> 950c8f1
- fix for bug#886: don't crash if there are no services installed
- release 4, STBR for Ac

* Sun Nov 28 2004 saq <saq@pld-linux.org> 428d8a8
- bug#886: don't crash if there are no services installed

* Sun Dec 21 2003 eothane <eothane@pld-linux.org> 07687d7
- we don't use Id tag in specs

* Mon Nov 24 2003 averne <averne@pld-linux.org> 060fc0f
- updated release

* Sat Sep 27 2003 ankry <ankry@pld-linux.org> d88bed5
- typo

* Fri Sep 26 2003 ankry <ankry@pld-linux.org> f50ec65
- 49ad98edeeaa1858f4e220c931ae6e73  rc-inetd.fix

* Fri Sep 26 2003 ankry <ankry@pld-linux.org> 9ce16eb
- added patch syncing with CVS

* Mon Sep 22 2003 hunter <hunter@pld-linux.org> 9709619
- now it should work.

